Bug 845256 - feh is looking for images in wrong directory
feh is looking for images in wrong directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: feh (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 09:27 EDT by Andriy
Modified: 2012-11-14 21:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 21:39:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andriy 2012-08-02 09:27:56 EDT
Opening menu and sub-menus generate multiple warnings:
feh WARNING: /usr/local/share/feh/images/menubg_default.png - File does not exist

The real path to such images is
/usr/share/feh/images/...

Changing in source feh-2.3/config.mk: 
PREFIX ?= /usr/local
to
PREFIX ?= /usr
is fixing this problem.

But I am not sure that it is a correct way.
Comment 1 Ben Boeckel 2012-11-04 21:35:45 EST
PREFIX needs to be passed during the %build step as well (there's a -DPREFIX=$(PREFIX) added to CFLAGS and the install doesn't trigger a recompile when it adds it there). I'll try to get an update out soon.
Comment 2 Fedora Update System 2012-11-04 21:51:23 EST
feh-2.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/feh-2.3-3.fc17
Comment 3 Fedora Update System 2012-11-04 21:51:34 EST
feh-2.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/feh-2.3-3.fc18
Comment 4 Fedora Update System 2012-11-05 17:44:31 EST
Package feh-2.3-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing feh-2.3-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17628/feh-2.3-3.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-14 21:39:27 EST
feh-2.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.